--- 
vendor: "ESRI"
id: "30"
title: "Roads (TxDOT)"
properties: 
  OBJECTID: 
    type: "integer"
    esriType: "esriFieldTypeOID"
  Shape: 
    format: "geometry-linestring"
    esriType: "esriFieldTypeGeometry"
  REC: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  RIA_RTE_ID: 
    type: "string"
    esriLength: 10
    esriType: "esriFieldTypeString"
  RTE_GRID: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  GID: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  FRM_DFO: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  TO_DFO: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  C_SEC: 
    type: "string"
    esriLength: 7
    esriType: "esriFieldTypeString"
  CON: 
    type: "string"
    esriLength: 4
    esriType: "esriFieldTypeString"
  SEC: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  BMP: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  EMP: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  HWY: 
    type: "string"
    esriLength: 7
    esriType: "esriFieldTypeString"
  HSYS: 
    type: "string"
    esriLength: 2
    esriType: "esriFieldTypeString"
  HNUM: 
    type: "string"
    esriLength: 4
    esriType: "esriFieldTypeString"
  HSUF: 
    type: "string"
    esriLength: 1
    esriType: "esriFieldTypeString"
  RDBD_ID: 
    type: "string"
    esriLength: 2
    esriType: "esriFieldTypeString"
  FRM_NBR: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  FRM_SUF: 
    type: "string"
    esriLength: 1
    esriType: "esriFieldTypeString"
  FRM_NUM: 
    type: "string"
    esriLength: 5
    esriType: "esriFieldTypeString"
  FRM_DISP: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  TO_NBR: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  TO_SUF: 
    type: "string"
    esriLength: 1
    esriType: "esriFieldTypeString"
  TO_NUM: 
    type: "string"
    esriLength: 5
    esriType: "esriFieldTypeString"
  TO_DISP: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  FRM_MKR_DATE: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  TO_MKR_DATE: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  DIR_TRAV: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  STE_NAM: 
    type: "string"
    esriLength: 50
    esriType: "esriFieldTypeString"
  DI: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  CO: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  CITY: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  MPA: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  UAN: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  UAN_HPMS: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  RU: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  MSA_CNTY: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  MAINT_DIS: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  MNT_SEC: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  PBLC_LAND: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  ADMIN: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  RDWAY_MAINT_AGCY: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  F_SYSTEM: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  RU_F_SYSTEM: 
    type: "string"
    esriLength: 2
    esriType: "esriFieldTypeString"
  SEC_NHS: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  SEC_NHS_APRV_DT: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  SEC_STR: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  SEC_TRUNK: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  SEC_TRK: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  SEC_HAZ: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  SEC_EVAC: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  SEC_NFH: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  SEC_STM: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  SEC_TTT: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  SEC_PARK: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  SEC_BIC: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  TOP100ID: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  NHFN: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  HWY_STAT: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  SPD_MAX: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  ALT_SPD_LMT: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  ALT_SPD_LMT_TYPE: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  SCHOOL_ZN: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  TOLL_NM: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  TOLL_HPMS_ID: 
    type: "string"
    esriLength: 5
    esriType: "esriFieldTypeString"
  TOLL_FACILITY_TYPE: 
    type: "string"
    esriLength: 2
    esriType: "esriFieldTypeString"
  TOLL_CHRG_TYPE: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  TOLL_LANES: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  PEAK_DRCT_TOLL: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  MNGD_LANE_TYPE: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  MNGD_LANE_OPRN_TYPE: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  MNGD_LANES: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  HWY_DES: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  ACES_CTRL: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  BRDG_STRUC_NBR: 
    type: "string"
    esriLength: 15
    esriType: "esriFieldTypeString"
  MULT_MOD_FCLTY: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  MED_TYPE: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  MED_WID: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  NUM_LANES: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  CLMB_PS_LANE: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  ACCEL_DECEL_LANE: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  ROW_MIN: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  RB_WID: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  PV_RB_WID: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  SUR_W: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  S_TYPE_I: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  S_WID_I: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  S_USE_I: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  S_TYPE_O: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  S_WID_O: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  S_USE_O: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  CURB_L: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  CURB_R: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  BASE_TP: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  SRF_TYPE: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  SURF_TREAT_CODE: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  SURF_TREAT_THICK: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  SURF_TREAT_YEAR: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  TRF_STA_ID: 
    type: "string"
    esriLength: 30
    esriType: "esriFieldTypeString"
  ADT_YEAR: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  ADT_CUR: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  ADT_ADJ: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  K_FAC: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  D_FAC: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  TRK_AADT_PCT: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  PCT_SADT: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  PCT_CADT: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  AADT_TRUCKS: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  AADT_SINGLE_UNIT: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  AADT_COMBINATION: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  TRK_DHV_PCT: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  PCT_SDHV: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  PCT_CDHV: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  FLEX_ESAL: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  RIGID_ESAL: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  ATH_100: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  ATH_PCT: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  MOTORCYCLES: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  HY_1: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  HY_2: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  HY_3: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  HY_4: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  HY_5: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  HY_6: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  HY_7: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  HY_8: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  HY_9: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  DESGN_YR: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  AADT_DESGN: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  INCRS_FCTR_PCT: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  INCRS_FCTR_MS: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  DHV: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  TRUCK_HY_1: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  TRUCK_HY_2: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  TRUCK_HY_3: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  TRUCK_HY_4: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  TRUCK_HY_5: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  TRUCK_HY_6: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  TRUCK_HY_7: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  TRUCK_HY_8: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  TRUCK_HY_9: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  HPMSID: 
    type: "string"
    esriLength: 12
    esriType: "esriFieldTypeString"
  HP_VOL_GRP: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  PEAK_LANE: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  CNTR_PEAK_LANE: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  RT_TURN_LANE: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  LT_TURN_LANE: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  TRFC_SGNL: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  PCT_GREEN_TM: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  NBR_SGNL: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  NBR_STOP_SIGN: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  ATGRD_OTHR: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  LANE_WIDTH: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  PEAK_PRKG: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  WIDE_OBST: 
    type: "string"
    esriLength: 1
    esriType: "esriFieldTypeString"
  WIDE_PTNTL: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  PPSD: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  YR_LAST_IMPRV: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  YR_LAST_CNSTR: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  LAST_OVRLY_THCK: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  PVMT_THICK_RIGID: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  PVMT_THICK_FLEX: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  BASE_THCK: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  LEN_SEC: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  LN_MILES: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  DVMT: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  DTRKVMT: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  Shape_Length: 
    type: "number"
    esriType: "esriFieldTypeDouble"
type: "object"
$schema: "https://json-schema.org/draft/2020-12/schema"
$id: "https://gis.lja.com/arcgis/rest/services/Ysleta_Constraints_MIL1/OGCFeatureServer/collections/30/queryables"